<html ng-app="clockApp">

<head>
    <title>clockApp</title>
    </div>
    <script src="../js/angular.js"> </script>
    <script src="../js/clock-app.js"> </script>
</head>
<body>
    <h1>clock App</h1>
    <div ng-controller="TimeCtrl">
        please enter your name:<input ng-model="userName" type="text"></input>
        
        <p>the Current Date is:{{timeString}}</p>
        <p>your name is{{userName}}</p>
        <button ng-click="updateTime()">update Time</button>
    </div>
</body>
</html>